/** An error emitted by Sentry SDKs and related utilities. */
class SentryError extends Error {
    /** Display name of this error instance. */

    constructor(message, logLevel = 'warn') {
        super(message);
        this.message = message;
        this.name = new.target.prototype.constructor.name;
        // This sets the prototype to be `Error`, not `SentryError`. It's unclear why we do this, but commenting this line
        // out causes various (seemingly totally unrelated) playwright tests consistently time out. FYI, this makes
        // instances of `SentryError` fail `obj instanceof SentryError` checks.
        Object.setPrototypeOf(this, new.target.prototype);
        this.logLevel = logLevel;
    }
}

export {
    SentryError
};
//# sourceMappingURL=error.js.map